This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 826944 - JBossWS unit tests cannot be run with JDK7 which block SOA-P 5.3 certification
JBossWS unit tests cannot be run with JDK7 which block SOA-P 5.3 certification
Status: NEW
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossWS (Show other bugs)
5.3.0 GA
Unspecified Unspecified
urgent Severity urgent
: ER4
: 5.3.0 GA
Assigned To: Default User
: TestBlocker
Depends On: 818938
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 05:38 EDT by Martin Vecera
Modified: 2015-03-12 07:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When using Sun JDK7, users are unable to compile unit tests of JBossWS Native and JBossWS CXF.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPAPP-8917 Blocker Closed [JBossWS] - Update SOAP stacks to work with JDK7 2015-05-08 08:04:43 EDT

  None (edit)
Description Martin Vecera 2012-05-31 05:38:50 EDT
It is not possible to compile unit tests of both JBossWS Native and JBossWS CXF with Sun JDK7. It is even not possible to run these unit tests with Sun JDK7 even if they are compiled with JDK6.

If the tests are compiled and run with JDK6 against the SOA-P 5.3 running on Sun JDK7, the tests fail.

There is a JIRA that is fixed for EAP 5.1.3 - https://issues.jboss.org/browse/JBPAPP-8917
Comment 3 Suz 2012-06-14 02:03:17 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When using Sun JDK7, users are unable to compile unit tests of JBossWS Native and JBossWS CXF.
Comment 5 JBoss JIRA Server 2012-09-14 01:58:07 EDT
Rostislav Svoboda <rsvoboda@redhat.com> updated the status of jira JBPAPP-8917 to Closed
Comment 6 JBoss JIRA Server 2012-09-14 01:58:07 EDT
Rostislav Svoboda <rsvoboda@redhat.com> made a comment on jira JBPAPP-8917

Closing, both WS stack in EAP 520 ER2 support JDK7.

There is build issue (JBPAPP-9845) which will be solved in ER3.
Comment 7 JBoss JIRA Server 2012-10-29 20:29:48 EDT
Russell Dickenson <rdickens@redhat.com> updated the status of jira JBPAPP-8917 to Reopened
Comment 8 JBoss JIRA Server 2012-10-29 20:29:48 EDT
Russell Dickenson <rdickens@redhat.com> made a comment on jira JBPAPP-8917

Issue reopened to change Release Notes field.
Comment 9 JBoss JIRA Server 2012-10-29 20:30:01 EDT
Russell Dickenson <rdickens@redhat.com> updated the status of jira JBPAPP-8917 to Closed

Note You need to log in before you can comment on or make changes to this bug.